Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510054 - Do not purge session if there are no sessions
Summary: Do not purge session if there are no sessions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Performance
Version: 5.8.0
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: GA
: 5.8.3
Assignee: Keenan Brock
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On: 1510040
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-06 16:04 UTC by Satoe Imaishi
Modified: 2018-02-28 13:07 UTC (History)
6 users (show)

Fixed In Version: 5.8.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1510040
Environment:
Last Closed: 2018-02-28 13:07:52 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0374 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2018-02-28 18:04:37 UTC

Comment 2 CFME Bot 2017-11-06 16:11:19 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/15889ffdf20cdd4f13a11c00a19b931f0808e13e

commit 15889ffdf20cdd4f13a11c00a19b931f0808e13e
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Tue May 16 15:39:19 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 6 11:06:28 2017 -0500

    Merge pull request #15064 from isimluk/avoid-queue-overhead-if-session-is-turned-off
    
    Performance: Do not schedule Session.purge if this Session is not used
    (cherry picked from commit 493a4884dfd141d7cb3640446d35738c67e42e69)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1510054

 app/models/miq_schedule_worker/runner.rb | 10 ++++++----
 app/models/session.rb                    |  4 ++++
 2 files changed, 10 insertions(+), 4 deletions(-)

Comment 3 Keenan Brock 2018-01-19 18:26:57 UTC
Sorry, should have moved to POST last year

This is a discrete change, and we created a BZ for informational purposes more than testing purposes.

Comment 4 Tasos Papaioannou 2018-01-24 17:54:59 UTC
Verified on 5.8.3.1.

With 

  :session_store: sql

evm.log shows Session.check_session_timeout gets regularly queued.

Comment 7 errata-xmlrpc 2018-02-28 13:07:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0374


Note You need to log in before you can comment on or make changes to this bug.